grst_admin_main.c File Reference

## Functions

void | GRSThttpError (char *status)
void | adminfooter (GRSThttpBody *bp, char *dn, char *help_uri, char *dir_uri, char *admin_file)
int | GRSTstrCmpShort (char *long_s, char *short_s)
char * | makevfilename (char *publicname, off_t size, char *dn)
void | justheader (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *dir_uri, char *admin_file)
void | justfooter (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *dir_uri, char *admin_file)
int | main ()

## Function Documentation

## adminfooter()

void adminfooter | ( | GRSThttpBody * | bp,
|  | char * | dn,
|  | char * | help_uri,
|  | char * | dir_uri,
|  | char * | admin_file )

## GRSThttpError()

void GRSThttpError | ( | char * | status | ) |

## GRSTstrCmpShort()

int GRSTstrCmpShort | ( | char * | long_s,
|  | char * | short_s )

## justfooter()

void justfooter | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | dir_uri,
|  | char * | admin_file )

## justheader()

void justheader | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | dir_uri,
|  | char * | admin_file )

## main()

int main | ( | void |  | ) |

## makevfilename()

char * makevfilename | ( | char * | publicname,
|  | off_t | size,
|  | char * | dn )